
mutation createBenefitsData(
  $vendorBenefitPlanId: UUID!
  $staffId: UUID!
  $current: Int!
) @auth(level: USER) {
  benefitsData_insert(
    data: {
      vendorBenefitPlanId: $vendorBenefitPlanId
      staffId: $staffId
      current: $current
    }
  )
}

mutation updateBenefitsData(
  $staffId: UUID!
  $vendorBenefitPlanId: UUID!
  $current: Int
) @auth(level: USER) {
  benefitsData_update(
    key: { staffId: $staffId, vendorBenefitPlanId: $vendorBenefitPlanId }
    data: {
      current: $current
    }
  )
}

mutation deleteBenefitsData(
  $staffId: UUID!
  $vendorBenefitPlanId: UUID!
) @auth(level: USER) {
  benefitsData_delete(
    key: { staffId: $staffId, vendorBenefitPlanId: $vendorBenefitPlanId }
  )
}
